Package com.avaya.clientservices.call

## Class CallCreationInfo

- java.lang.Object
- - com.avaya.clientservices.call.CallCreationInfo

-     public class CallCreationInfo
      extends java.lang.Object

  Represents the call creation information for creating the call

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallCreationInfo()` | Constructs a call creation info with no arguments.
    `CallCreationInfo​(int lineAppearanceId, java.lang.String lineAppearanceOwner)` | Constructs a call creation info with remote call arguments.
    `CallCreationInfo​(java.lang.String conferenceID, java.lang.String conferencePasscode, java.lang.String portalToken)` | Constructs a call creation info with conference related arguments.
    `CallCreationInfo​(java.lang.String serviceGatewayURL, java.lang.String authorizationToken, java.lang.String contextId, java.lang.String remoteAddress)` | Initialize guest user creation call information where user is allowed to make a single call using the provided authorization token.
    `CallCreationInfo​(java.lang.String conferenceID, java.lang.String conferencePasscode, java.lang.String portalToken, java.lang.String uccpURL, java.lang.String serviceGatewayURL, java.lang.String portalURL, java.lang.String meetMeUserName, java.lang.String remoteAddress, boolean isPresentationMode)` | Constructs a MeetMe call creation info with conference related arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAuthorizationToken()` |
    `CallType` | `getCallType()` |
    `java.lang.String` | `getConferenceID()` |
    `java.lang.String` | `getConferencePasscode()` |
    `java.lang.String` | `getContextId()` |
    `int` | `getLineAppearanceId()` |
    `java.lang.String` | `getLineAppearanceOwner()` |
    `java.lang.String` | `getMeetmeUserName()` | Get user display name to represent user in MeetMe calls.
    `java.lang.String` | `getPortalToken()` |
    `java.lang.String` | `getPortalURL()` |
    `java.lang.String` | `getRemoteAddress()` |
    `java.lang.String` | `getServiceGatewayURL()` |
    `java.lang.String` | `getUccpURL()` |
    `boolean` | `isOffHookDialingEnabled()` |
    `boolean` | `isPresentationOnlyMode()` |
    `void` | `setCallType​(CallType callType)` |
    `void` | `setConferenceID​(java.lang.String conferenceID)` |
    `void` | `setConferencePasscode​(java.lang.String conferencePasscode)` | Sets the passcode required to enter into the conference
    `void` | `setLineAppearanceId​(int lineAppearanceId)` |
    `void` | `setLineAppearanceOwner​(java.lang.String lineAppearanceOwner)` | Sets the Owner of appearance line
    `void` | `setMeetmeUserName​(java.lang.String userName)` | Set user display name to represent user in MeetMe calls.
    `void` | `setOffHookDialingEnabled​(boolean offHookDialing)` | Enables or disables off-hook dialing for specification of the remote address.
    `void` | `setPortalToken​(java.lang.String portalToken)` |
    `void` | `setPortalURL​(java.lang.String portalURL)` |
    `void` | `setPresentationOnlyMode​(boolean isPresentationOnlyMode)` |
    `void` | `setRemoteAddress​(java.lang.String remoteAddress)` | Sets the remote address to be used by the call.
    `void` | `setServiceGatewayURL​(java.lang.String url)` |
    `void` | `setShouldApplyDialingRules​(boolean applyDialingRules)` | Sets whether or not any configured dialing rules should be applied to the remote address before dialing.
    `void` | `setUccpURL​(java.lang.String uccpURL)` |
    `boolean` | `shouldApplyDialingRules()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallCreationInfo

          public CallCreationInfo()

      Constructs a call creation info with no arguments. Can be used with the setter methods if the application needs to do something unexpected.

    - #### CallCreationInfo

          public CallCreationInfo​(int lineAppearanceId,
                                  java.lang.String lineAppearanceOwner)

      Constructs a call creation info with remote call arguments. Can be used if application needs to create a call from remote call.
      Parameters:
        `lineAppearanceId` - The Avaya Communication Manager line appearance id for the remote call.
        `lineAppearanceOwner` - The remote call owner name.

    - #### CallCreationInfo

          public CallCreationInfo​(java.lang.String conferenceID,
                                  java.lang.String conferencePasscode,
                                  java.lang.String portalToken)

      Constructs a call creation info with conference related arguments. Is used when the application wants to create a call using remote Conferencing platform.
      Parameters:
        `conferenceID` - The Virtual Room id to identify the conference room that will be used if we make the call to Conference system.
        `conferencePasscode` - The Virtual Room PIN to identify the conference room.
        `portalToken` - Correlation-token provided by Scopia/Portal to correlate Portal session with SIP Signalling.

    - #### CallCreationInfo

          public CallCreationInfo​(java.lang.String conferenceID,
                                  java.lang.String conferencePasscode,
                                  java.lang.String portalToken,
                                  java.lang.String uccpURL,
                                  java.lang.String serviceGatewayURL,
                                  java.lang.String portalURL,
                                  java.lang.String meetMeUserName,
                                  java.lang.String remoteAddress,
                                  boolean isPresentationMode)

      Constructs a MeetMe call creation info with conference related arguments. Can be used if application needs to create a MeetMe (HTTP) call through Service Gateway using remote Conferencing platform.
      Parameters:
        `conferenceID` - The Virtual Room id to identify the conference room that will be used if we make the call to Conference system.
        `conferencePasscode` - The Virtual Room PIN to identify the conference room.
        `portalToken` - Conference correlation token provided by Scopia/Portal.
        `uccpURL` - The URL to establish UCCP connection to the conference server.
        `serviceGatewayURL` - The Service Gateway URL to establish HTTP connection to the server and escalate data-only call to a/v call.
        `portalURL` - The Unified Portal Server URL. Required for redial capability.
        `meetMeUserName` - The user display name to represent user in MeetMe calls.
        `remoteAddress` - The remote address.
        `isPresentationMode` - Presentation only mode

    - #### CallCreationInfo

          public CallCreationInfo​(java.lang.String serviceGatewayURL,
                                  java.lang.String authorizationToken,
                                  java.lang.String contextId,
                                  java.lang.String remoteAddress)

      Initialize guest user creation call information where user is allowed to make a single call using the provided authorization token. The one time call creation with the authorization token is used in Avaya contact center environment where a user with mobile client can initiate a web based call towards contact center. Currently, this method of placing calls is not used in non-contact center environments.
      Parameters:
        `authorizationToken` - Authorization token needed to initiate the one-time call. The token is used by the service gateway to determine whether the call should be allowed to proceed or not.
        `serviceGatewayURL` - The Service Gateway URL to establish HTTP connection to the server.
        `contextId` - Opaque data representing the id of contextual data stored in the contact center solution that is associated with this call.
        `remoteAddress` - Called party information. In the contact center solution, this can be a "vector directory number" (VDN) towards the contact center application, or the contact center agent's direct phone number. The use of this parameter is optional. Depending on the contact center solution, the remote number may not be needed if the remote number is implicitly associated with the authorization token on the service gateway side. When the remote number is associated with the token, this parameter should be null.

  - ### Method Detail

    - #### setLineAppearanceId

          public void setLineAppearanceId​(int lineAppearanceId)

      Parameters:
        `lineAppearanceId` - The Avaya lineid for the remote call.

    - #### getLineAppearanceId

          public int getLineAppearanceId()

      Returns:
        The Avaya lineid.

    - #### setLineAppearanceOwner

          public void setLineAppearanceOwner​(java.lang.String lineAppearanceOwner)

      Sets the Owner of appearance line
      Parameters:
        `lineAppearanceOwner` - The remote call owner name.

    - #### getLineAppearanceOwner

          public java.lang.String getLineAppearanceOwner()

      Returns:
        The remote call owner name for line.

    - #### setRemoteAddress

          public void setRemoteAddress​(java.lang.String remoteAddress)

      Sets the remote address to be used by the call. when making call with line appearance id, this value must be set.
      Parameters:
        `remoteAddress` - the remote address to be used by the call.

    - #### getRemoteAddress

          public java.lang.String getRemoteAddress()

      Returns:
        the remote address for this call.

    - #### shouldApplyDialingRules

          public boolean shouldApplyDialingRules()

      Returns:
        whether or not any configured dialing rules should be applied to the remote address before dialing. Defaults to `true`.
      See Also:
        `UserConfiguration.getDialingRulesConfiguration()`

    - #### setShouldApplyDialingRules

          public void setShouldApplyDialingRules​(boolean applyDialingRules)

      Sets whether or not any configured dialing rules should be applied to the remote address before dialing. Defaults to `true`.
      Parameters:
        `applyDialingRules` - Boolean indicating whether dialing rules should be applied.
      See Also:
        `UserConfiguration.getDialingRulesConfiguration()`

    - #### setConferenceID

          public void setConferenceID​(java.lang.String conferenceID)

      Parameters:
        `conferenceID` - The Virtual Room id to identify the conference room that will be used if we make the call to Conference system.

    - #### getConferenceID

          public java.lang.String getConferenceID()

      Returns:
        the Virtual Room id.

    - #### setConferencePasscode

          public void setConferencePasscode​(java.lang.String conferencePasscode)

      Sets the passcode required to enter into the conference
      Parameters:
        `conferencePasscode` - The Virtual Room PIN to identify the conference room.

    - #### getConferencePasscode

          public java.lang.String getConferencePasscode()

      Returns:
        The Virtual Room PIN.

    - #### setPortalToken

          public void setPortalToken​(java.lang.String portalToken)

      Parameters:
        `portalToken` - Correlation-token provided by collaboration portal to correlate Portal session with SIP Signalling.

    - #### getPortalToken

          public java.lang.String getPortalToken()

      Returns:
        Correlation-token used to correlate collaboration portal session with SIP signalling.

    - #### setUccpURL

          public void setUccpURL​(java.lang.String uccpURL)

      Parameters:
        `uccpURL` - The URL to establish UCCP connection to the conference server.

    - #### getUccpURL

          public java.lang.String getUccpURL()

      Returns:
        The URL to establish UCCP connection to the conference server.

    - #### setPresentationOnlyMode

          public void setPresentationOnlyMode​(boolean isPresentationOnlyMode)

      Parameters:
        `isPresentationOnlyMode` - The flag indicating whether call should be presentation only.

    - #### isPresentationOnlyMode

          public boolean isPresentationOnlyMode()

      Returns:
        The presentation only mode flag.

    - #### isOffHookDialingEnabled

          public boolean isOffHookDialingEnabled()

      Returns:
        True if off-hook dialing will be used to specify the remote address.
      See Also:
        `setOffHookDialingEnabled(boolean)`

    - #### setOffHookDialingEnabled

          public void setOffHookDialingEnabled​(boolean offHookDialing)

      Enables or disables off-hook dialing for specification of the remote address. The default is disabled. Off-hook dialing is used to support the user experience of a traditional desk telephone where the handset is lifted (goes off-hook) and the user enters the digits to dial via a dialpad. In this mode the remote address is not specified before Call.start() is called and digits are entered via Call.addRemoteAddressDigit() as the user enters them in the UI. When a match against the call server's dial plan is found the call will be automatically initiated.
      Parameters:
        `offHookDialing` - Boolean indicating whether off-hook dialing should be enabled.

    - #### setCallType

          public void setCallType​(CallType callType)

      Parameters:
        `callType` - The CallType enum value indicating whether a default registered service (SIP call through Aura), or meet-me call through ServiceGateway is to be created.

    - #### getCallType

          public CallType getCallType()

      Returns:
        The CallType enum value indicating whether a default registered service (SIP call through Aura) or meet-me call through ServiceGateway is to be created.

    - #### setServiceGatewayURL

          public void setServiceGatewayURL​(java.lang.String url)

      Parameters:
        `url` - The Service Gateway URL

    - #### getServiceGatewayURL

          public java.lang.String getServiceGatewayURL()

      Returns:
        The Service Gateway URL

    - #### setMeetmeUserName

          public void setMeetmeUserName​(java.lang.String userName)

      Set user display name to represent user in MeetMe calls. For guest user, it's the display name that user puts onto the portal. For named user, it's user's First Last Name..
      Parameters:
        `userName` - The user display name to represent user in MeetMe calls.

    - #### getMeetmeUserName

          public java.lang.String getMeetmeUserName()

      Get user display name to represent user in MeetMe calls. For guest user, it's the display name that user puts onto the portal. For named user, it's user's First Last Name..
      Returns:
        The user display name to represent user in MeetMe callse.

    - #### setPortalURL

          public void setPortalURL​(java.lang.String portalURL)

      Parameters:
        `portalURL` - The URL of the Unified Portal Server.

    - #### getPortalURL

          public java.lang.String getPortalURL()

      Returns:
        The URL of the Unified Portal Server.

    - #### getAuthorizationToken

          public java.lang.String getAuthorizationToken()

      Returns:
        The authorization token this class was initialized with.

    - #### getContextId

          public java.lang.String getContextId()

      Returns:
        The context id this class was initialized with.